# com.oracle.truffle.api

## Interfaces

- Assumption
- CallTarget
- CompilerOptions
- LoopCountReceiver
- ReplaceObserver
- RootCallTarget
- TruffleRuntime
- TypedObject

## Classes

- CompilerAsserts
- CompilerDirectives
- ExactMath
- ExecutionContext
- Truffle
- TruffleOptions

## Exceptions

- OptimizationFailedException

## Annotation Types

- CompilerDirectives.CompilationFinal
- CompilerDirectives.TruffleBoundary
- CompilerDirectives.ValueType